/* styles.css */

@font-face {
    font-family: 'Pricedown Bl';
    src: local('Pricedown Bl'),
        url(fonts/pricedown.otf);
}

body {
    margin: 0;
    padding: 0;
}

::-webkit-scrollbar {
    display: none;
}

.head {
    background-origin: border-box;
    background-color: black;
    text-align: center;
}

#linkvol {
    position: absolute;
    top: 12px;
    left: 12px;
    cursor: pointer;
    width: 3rem; /* Ширина иконки */
    height: 3rem; /* Высота иконки */
    font-size: 1.5rem;
    border: none;
    border-radius: 50%;
    background-color: rgba(255, 255, 255, 0.1);
    transition: all .5s;
}

#linkvol:hover {
    border: 1px solid rgba(255, 255, 255, 0.25);
    background-color: rgba(255, 255, 255, 0.25);
}

.hero {
    /*background-image: url('images/image1.jpg');
    background-size: cover;*/
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    font-family: "Pricedown Bl", sans-serif;
}

.hero .container {
    opacity: 0;
    z-index: 10;

    animation: appearing 3s ease-in-out 3s forwards;
}

@keyframes appearing {
    0% {
        filter: blur(4px);
        opacity: 0.01;
    }

    100% {
        filter: blur(0);
        opacity: 1;
    }
}

.hero .container a {
    color: white;
    text-decoration: none;
}

@keyframes scaling {
    0% {
        transform: scale(1.0);
    }

    100% {
        transform: scale(1.2);
    }
}

.rainbow-text {
    font-size: 10rem;
    /* Размер текста */
    font-weight: bold;
    /* Жирный текст */
    /*background: linear-gradient(270deg, blue, red, blue);
    background-size: 400%;*/
    /* Размер градиента для анимации */
    /*-webkit-background-clip: text;*/
    /* Для поддержки в WebKit браузерах */
    /*-webkit-text-fill-color: transparent;*/
    /* Прозрачный цвет текста */
    /*animation: rainbow 20s ease-in-out infinite both;*/
    /* Анимация */
    
    filter: blur(0.5px);
}

@keyframes rainbow {
    0% {
        background-position: 0% 50%;
        /* Начальная позиция */
    }

    50% {
        background-position: 100% 200%;
    }

    100% {
        background-position: 0% 50%;
        /* Конечная позиция */
    }
}

@media (min-width: 300px) {
    .rainbow-text {
        font-size: 3rem;
    }
}

@media (min-width: 1000px) {
    .rainbow-text {
        font-size: 8.5rem;
    }
}

@media (min-width: 1200px) {
    .rainbow-text {
        font-size: 10rem;
    }
}

@media (min-width: 1400px) {
    .rainbow-text {
        font-size: 11.5rem;
    }
}

@media (min-width: 1900px) {
    .rainbow-text {
        font-size: 14rem;
    }
}

@media (min-width: 2500px) {
    .rainbow-text {
        width: max-content;
        font-size: 21rem;
        margin: -6rem;
    }
}

.bgvideo {
    position: absolute;
    min-width: 100%;
    min-height: 100%;
    width: 100%;
    height: 100vh;
    z-index: 0;
    filter: blur(3px);
}

.project-description {
    font-family: 'Rubik';
    padding: 20px;
    width: 80%;
    margin: auto;
    z-index: 10;
}

@media (min-width: 300px) {
    .project-description {
        width: 100%;
    }
}

.project-description p {
    border: 3px dotted lightgray;
    padding: 12px;
    border-radius: 0.5em;
    font-size: large;
    box-shadow: 0 6px 12px 0px rgba(0, 0, 0, 0.25);
}

.gallery {
    margin-top: 20px;
}

.scarousel {
    display: flex;
    justify-content: center;
    align-items: center;
}

@media (min-width: 300px) {
    .scarousel {
        display: none;
    }
}

@media (min-width: 1024px) {
    .scarousel {
        display: flex;
    }
}

.scarousel img {
    width: 100%;
    height: 400px;
    object-fit: cover;
    margin: 10px;
    border-radius: 10px;
    cursor: pointer;
    transition: all .5s ease-in-out;
    box-shadow: 0 6px 6px lightgray;
}

.scarousel img:hover {
    transform: scale(1.1);
}

.carousel {
    border-radius: 0.5em;
    box-shadow: 0 6px 6px gray;
}

.carousel img {
    height: 600px;
    object-fit: cover;
    border-radius: 0.5em;
}

.form {
    padding: 20px;
    width: 80%;
    margin: auto;
    font-family: "Rubik";
}

@media (min-width: 300px) {
    .form {
        width: 100%;
    }
}

.form .container {
    padding: 0;
}

.form form {
    border: 1px solid black;
    border-radius: 0.5em;
    padding: 20px;
    margin-top: 12px;
    box-shadow: 0 6px 6px lightgray;
}

.form-group {
    margin-bottom: 20px;
}

label {
    display: block;
    margin-bottom: 10px;
}

input[type="text"],
input[type="number"] {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 10px;
}

button[type="submit"] {
    color: #fff;
    padding: 10px 20px;
    border: none;
    border-radius: 10px;
    cursor: pointer;
}

button[type="submit"]:hover {
    background-color: #1e2db0;
}

.footerlinks {
    background-color: #333;
    padding: 20px;
    border-radius: 0.5em;
    font-family: "Rubik";
}

.footerlinks a {
    position: relative;
    text-decoration: none;
    color: white;
}

.nav {
    background-color: #333;
    padding: 10px;
    text-align: center;
}

.nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: space-between;
}

.nav li {
    margin-right: 20px;
}

.nav a {
    color: #fff;
    text-decoration: none;
}

.nav a:hover {
    color: #ccc;
}

.underline::after {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 2px;
    /* Толщина подчеркивания */
    background-color: #007BFF;
    /* Цвет подчеркивания */
    transform: scaleX(0);
    /* Начальное состояние - скрыто */
    transform-origin: left;
    /* Начало анимации слева */
    transition: transform 0.3s ease;
    /* Параметры анимации */
}

.underline:hover::after {
    transform: scaleX(1);
    /* Конечное состояние - видно */
}